GET /segments/list

braze.com

Summary: Segment List
Operation ID: segmentList
Auth: unknown
Description

This endpoint allows you to export a list of segments, each of which will include its name, Segment API Identifier, and whether it has analytics tracking enabled. The segments are returned in groups of 100 sorted by time of creation (oldest to newest by default). Archived segments are not included. ### Request Components - [Segment Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "message": (required, string) the status of the export, returns 'success' when completed without errors, "segments" : [ { "id" : (string) Segment API Identifier, "name" : (string) segment name, "analytics_tracking_enabled" : (boolean) whether the segment has analytics tracking enabled, "tags" : (array) tag names associated with the segment }, ... ] } ```

Parameters (2)

page (string, query, optional)

(Optional) Integer The page of segments to return, defaults to 0 (returns the first set of up to 100)

sort_direction (string, query, optional)

(Optional) String Pass in the value `desc` to sort by creation time from newest to oldest. Pass in `asc` to sort from oldest to newest. If `sort_direction` is not included, the default order is oldest to newest.

No probe data for this endpoint yet.